#!/bin/sh

#this use libusb, to install the header files on your system execute the following:
#sudo apt-get install libusb-dev
#or, if that does not do
#sudo apt-get install libusb-1.0-0-dev

#FTDI library requires GLIBC 2.2.5
#if you don't have that on your system, please consider the following alternatives:
# - use libftdi version (see build_libftdi.sh)
# - use the linux_tty application note

mkdir build_dir_linux
rm build_dir_linux/*

cd build_dir_linux

c++ -I ../../common/linux ../../common/generic/kidekin_trng.cpp -c -std=c++11
c++ -I ../../common/generic ../trng_capture.cpp -o trng_capture -lpthread kidekin_trng.o ../../common/linux/x86_64/libftd2xx.a -lgomp -ldl -lusb -std=c++11

cd ..