#!/bin/sh

#this use libftdi, to install it on your system execute the following:
#sudo apt-get install libftdi1
#the header file is ../../common/generic/ftdi.h

mkdir build_dir_linux2
rm build_dir_linux2/*

cd build_dir_linux2

c++ -I ../../common/linux ../../common/generic/kidekin_trng_libftdi.cpp -c -std=c++11

#assume Boost 1.57.0 built and installed in /usr/local/lib
c++ -I /usr/local/boost_1_57_0 -I ../../common/generic ../trng_server.cpp -o trng_server /usr/local/lib/libboost_system.a -lpthread kidekin_trng_libftdi.o -lftdi1 -lgomp -ldl -std=c++11

c++ -I /usr/local/boost_1_57_0 ../trng_client.cpp -o trng_client /usr/local/lib/libboost_system.a -lpthread -lgomp

#java client
javac -d . ../TrngClient.java

cd ..